A new version of the Customer service was introduced on August 19, 2024. A new flag routes active was added to the response of the GET /customer operation. This flag informs whether there are currently any logistics routes pinned to the customer.
Adding the capability to query the Catalog service by SKU or product index
On July 15, 2024, the capability to query the GET /products operation in the Customer service based on SKU or product index was introduced.
Implementation details:
- To call the GET /products operation using the SKU code, you need to pass the query parameter queryParam named sku.
- To call the GET /products operation using the product index, you need to pass the query parameter queryParam named index.
Usage examples:
- Call using SKU code:
GET /products?sku=<kod_SKU>
- Call using product index:
GET /products?index=<indeks_towaru>
Information on Automatic Order Confirmation in the Customer Service
On July 10, 2024, a new version of the Customer service was released. A new flag, automaticOrderConfirmation, was added to the response of the GET /customer operation. This flag indicates whether orders placed by the user will be sent with automatic order confirmation.
Validation of submitted product codes (SKU/index)
On May 19th, validation of product codes (SKU/index) submitted by users was introduced. All products that are unavailable or incorrect will be omitted in the response. A complete list of omitted products will be returned in the HTTP header: skpSkuList for queries by SKU or skiIndexList for queries by index.
Change implemented in the services:
- Inventory
- Pricing
- Sales
EAN codes in service responses
On May 17th, a new version of the following services was released:
Delivery Invoice Inventory Pricing Sales In the responses of the aforementioned services, EAN codes have been added to the product information section.
Example of the Inventory service response with EAN codes returned for product D6E01F:
[
{
"sku": "D6E01F",
"location": "TOR",
"availability": 1,
"latestDeliveryDate": "2024-06-25",
"index": "EL001563",
"name": "Zestaw uszczelek pokrywy zaworów",
"description": "Zestaw uszczelek pokrywy zaworów pasuje do: VOLVO C30, S40 II, S80 II, V50, V70 III, FORD C-MAX, C-MAX II, FIESTA V, FOCUS C-MAX, FOCUS II, GALAXY II, GALAXY MK II, KUGA II 1.8-2.5D 10.00-",
"gtuCode": null,
"eans": [
".365100",
"4041248614815"
]
}
]
New Catalog service as a REST alternative to downloading a ProductInformation CSV file
A new Catalog service was introduced on May 31, 2024. The service allows you to search for product definitions in real time. The service currently consists of two operations:
* Search Categories - allows you to search for a hierarchical structure of product categories.
[
{
"categoryId": "SalesClassificationNode_6100000",
"label": "Filters"
},
{
"categoryId": "SalesClassificationNode_6200000",
"label": "Engine / Equipment"
},
{
"categoryId": "SalesClassificationNode_6300000",
"label": "Wheel suspension"
},
{
"categoryId": "SalesClassificationNode_6400000",
"label": "Vehicle shock absorption"
},
{
"categoryId": "SalesClassificationNode_6811050",
"label": "Ignition/glow system"
},
...
]
* Search Product - used to search for product definitions using pagination and filters (category ID and brand name)
{
"totalResults": 816,
"hasNextPage": true,
"requestProcessingTime": 35,
"products": [
{
"towKod": "976822",
"icIndex": "611 180 02 10",
"tecDoc": "611 180 02 10",
"tecDocProd": "633",
"articleNumber": "611 180 02 10",
"manufacturer": "OE MERCEDES",
"shortDescription": "Oil filter housing",
"description": "Oil filter housing fits: MERCEDES 124 (W124)",
"barcodes": [],
"packageWeight": "0.272",
"packageWidth": "9.0",
"packageDepth": "26.0",
"packageHeight": "9.0",
"customsCode": "84219990"
},
{
"towKod": "976801",
"icIndex": "720 277 00 95",
"articleNumber": "7202770095",
"manufacturer": "OE MERCEDES",
"description": "DB oil filter",
"barcodes": [],
"packageWeight": "0.314",
"packageWidth": "17.0",
"packageDepth": "17.0",
"packageHeight": "11.5",
"customsCode": "84212300"
},
...
],
"facets": {
"brands": [
{
"id": "OE VW",
"label": "OE VW",
"count": 30859
},
{
"id": "OE BMW",
"label": "OE BMW",
"count": 20341
},
{
"id": "SF",
"label": "SF",
"count": 7764
},
...
]
}
}
More Information in https://intercars.gitlab.io/ic-api/en/docs/documentation/direct/catalog/
Results total in Delivery and Invoice services
A new HTTP header containing information about the amount of data retrieved for pagination purposes called "resultsTotal" in the Delivery and Invoice services was added on May 8, 2024.
Delivery times in the Inventory service
The Inventory service is scheduled to be updated in early May with additional information on delivery times for items from individual warehouses to the base branch assigned to the customer. Additional optional fields orderDateTimeTo, shipToBusinessUnitDeliveryDateTime, customerRouteStartDateTime, customerRouteCode were added to response:
[
{
"sku": "ADDFFF",
"location": "KRC",
"availability": 2,
"latestDeliveryDate": "2024-04-25"
},
{
"sku": "ADDFFF",
"location": "HZA",
"availability": 10,
"latestDeliveryDate": "2024-04-25",
"orderDateTimeTo": "2024-04-24T16:00:00Z",
"shipToBusinessUnitDeliveryDateTime": "2024-04-25T03:00:00Z",
"customerRouteStartDateTime": "2024-03-12T06:15:00Z",
"customerRouteCode": "2KROL1"
},
{
"sku": "ADDFFF",
"location": "HSN",
"availability": 10,
"latestDeliveryDate": "2024-04-25",
"orderDateTimeTo": "2024-04-24T19:00:00Z",
"shipToBusinessUnitDeliveryDateTime": "2024-04-25T03:00:00Z"
}
]
The logistic path in the Customer service
In the Customer service, on April 22, 2024, an additional field named logisticPath was added. It represents the logistic path of the customer. The structure of the response has been modified:
{
"name": "INTER CARS S.A.",
"countryCode": "PL",
"address": [
{
"countryCode": "PL",
"locality": "Kielce",
"streetAddressFull": "Wiejska, 3/5",
"street": "Wiejska",
"building": "1",
"flat": "5",
"postalCode": "25319",
"postOffice": "Warszawa"
}
],
"logisticPath": [
"HSN",
"HZA",
"ZKM",
"LIS"
],
"defaultLocation": "KOM",
"fiscalDocument": "INVOICE",
"paymentMethods": [
"02"
],
"defaultPaymentMethod": "02",
"paymentTerm": 14,
"defaultDeliveryMethod": "I"
}
Visibility of recipient invoices in the payer's account
On April 10, 2024, a change was introduced in the Invoice service in the GET /invoice operation to return invoices of recipient accounts in the payer's account.
